%define DISTDIR	/opt

Summary: Mozilla Firefox Web Browser
Name: firefox
Version: 1.5.0.3
Release: b1
License: MPL/LGPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.bz2
Source1: firefox-rebuild-databases.pl.in
Source2: firefox.desktop
URL: http://www.mozilla.org/projects/firefox/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: i686


%description
Mozilla Firefox is an open-source web browser, designed for standards
compliance, performance and portability.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
#rm libnss3.so libnssckbi.so libplc4.so libplds4.so libsmime3.so
#rm libsoftokn3.* libssl3.so
# libraries provide mozilla-nss,nspr
#rm firefox-bin.elf
#ln -s firefox-bin firefox-bin.elf

%{__cat} <<EOF >bookmarks.html
<!DOCTYPE NETSCAPE-Bookmark-file-1>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<TITLE>Bookmarks</TITLE>
<H1>Bookmarks</H1>

<DL><p>
	<DT><H3 PERSONAL_TOOLBAR_FOLDER="true" ID="NC:PersonalToolbarFolder">Personal Toolbar Folder</H3>
	<DL><p>
	<DT><A HREF="http://yui.mine.nu/berry/">Berry Linux</A>
	<DT><A HREF="http://yui.mine.nu/whiz/whiz.html">Whiz Openlab</A>
	<DT><A HREF="http://www.google.com/">Google</A>
	<DT><A HREF="http://www.berry-japan.co.jp/">Berry Japan</A>
	</DL><p>
	<HR>
	<DT><H3>Firefox Web Browser</H3>
	<DL><p>
	<DT><A HREF="http://texturizer.net/firefox/">Firefox Help</A>
	<DT><A HREF="http://www.mozillazine.org/forums/?c=4">Firefox Forum</A>
	<DT><A HREF="http://plugindoc.mozdev.org/faqs/">Firefox Plugin FAQ</A>
	<DT><A HREF="http://www.mozilla.org/projects/firefox/">Firefox Website</A>
	<DT><a HREF="http://texturizer.net/firefox/extensions.html">Firefox Extensions</A>
	<DT><a HREF="http://texturizer.net/firefox/themes.html">Firefox Themes</A>
	</DL><p>
	<HR>
</DL><p>
EOF

%{__cat} <<'EOF' >firefox.sh
#!/bin/sh

MOZILLA_FIVE_HOME="%{DISTDIR}/firefox"
MOZ_PROGRAM="$MOZILLA_FIVE_HOME/firefox"

LD_LIBRARY_PATH="$MOZILLA_FIVE_HOME:$MOZILLA_FIVE_HOME/plugins:$LD_LIBRARY_PATH"
MOZ_PLUGIN_PATH="$MOZILLA_FIVE_HOME/plugins:%{_libdir}/mozilla/plugins:$MOZ_PLUGIN_PATH"
FONTCONFIG_PATH="/etc/fonts:$MOZILLA_FIVE_HOME/res/Xft"
export MOZILLA_FIVE_HOME LD_LIBRARY_PATH MOZ_PLUGIN_PATH FONTCONFIG_PATH

MOZARGS=""
MOZLOCALE="$(echo $LANG | sed 's|_\([^.]*\).*|-\1|g')"
if [ -f "$MOZILLA_FIVE_HOME/chrome/$MOZLOCALE.jar" ]; then
	MOZARGS="-UILocale $MOZLOCALE"
fi

$MOZ_PROGRAM -a firefox -remote 'ping()' &>/dev/null
RUNNING=$?
if [ $? -eq 2 ]; then RUNNING=0; fi

CMD=0
while [ "$1" ]; do
	case "$1" in
#	  -mail|-email)
#		if [ $RUNNING -eq 0 -a $CMD -ne 1 ]; then
#			MOZARGS="-remote xfeDoCommand(openInbox) $MOZARGS"
#			CMD=1
#		fi;;
#	  -compose|-editor)
#		if [ $RUNNING -eq 0 -a $CMD -ne 1 ]; then
#			MOZARGS="-remote xfeDoCommand(composeMessage) $MOZARGS"
#			CMD=1
#		fi;;
	  -remote)
		if [ $CMD -ne 1 ]; then
			MOZARGS="-remote $2 $MOZARGS"
			CMD=1
		fi
		shift;;
	  -profile|-profile-manager)
		CMD=1
		;;
	  -*)
		MOZARGS="$MOZARGS $1"
		;;
	  *)
		if [ $CMD -ne 1 ]; then
			if [ -e "$PWD/$1" ]; then
				URL="file://$PWD/$1"
			elif [ -e "$1" ]; then
				URL="file://$1"
			else
				URL="$1"
			fi
			if [ $RUNNING -eq 0 ]; then
				MOZARGS="-remote openURL(\"$URL\",new-window) $MOZARGS"
			else
				MOZARGS="-remote openURL(\"$URL\") $MOZARGS"
			fi
			CMD=1
		else
			MOZARGS="$MOZARGS $1"
		fi;;
	esac
	shift
done

if [ $RUNNING -eq 0 -a $CMD -ne 1 ]; then
	exec $MOZ_PROGRAM -a firefox -remote "xfeDoCommand(openBrowser)" $MOZARGS
else
	exec $MOZ_PROGRAM -a firefox $MOZARGS &
fi;
EOF

%build
#export MOZ_APP_NAME="firefox"
#export MOZ_PHOENIX="1"
#export MOZILLA_OFFICIAL="1"
#export BUILD_OFFICIAL="1"
#export CFLAGS="%{optflags}"
#export CXXFLAGS="%{optflags}"
#export RPM_OPT_FLAGS="$(echo %{optflags} | sed -e 's|-O2|-Os|')"
#make -f client.mk depend
#make %{?_smp_mflags} -f client.mk build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{DISTDIR}/firefox
cp -a * $RPM_BUILD_ROOT%{DISTDIR}/firefox

%{__install} -D -m0755 firefox.sh %{buildroot}%{_bindir}/firefox
#%{__install} -D -m0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/firefox.png

%{__install} -m0644 bookmarks.html %{buildroot}%{DISTDIR}/firefox/defaults/profile/
##%{__install} -m0644 bookmarks.html %{buildroot}%{DISTDIR}/firefox/defaults/profile/US/

%{__install} -D -m0755 %{SOURCE1} %{buildroot}%{DISTDIR}/firefox/firefox-rebuild-databases.pl
%{__perl} -pi -e 's|\$MOZ_DIST_BIN|%{DISTDIR}/firefox|g;' %{buildroot}%{DISTDIR}/firefox/firefox-rebuild-databases.pl

mkdir -p %{buildroot}/usr/share/applications/
%{__install} -m0644 %{SOURCE2} %{buildroot}/usr/share/applications/


%post
/sbin/ldconfig 2>/dev/null
%{DISTDIR}/firefox/firefox-rebuild-databases.pl &>/dev/null || :

### Work around for creating extensions directory
unset DISPLAY
%{DISTDIR}/firefox/firefox --help &>/dev/null || :

pushd %{DISTDIR}/firefox/
for library in lib*.so; do
	if [ -e /usr/lib/${library} ]; then
		rm %{DISTDIR}/firefox/${library}
	else
		ln -s %{DISTDIR}/firefox/${library} /usr/lib/${library}
	fi
done
popd

%postun
/sbin/ldconfig 2>/dev/null
if [ $1 -gt 1 ]; then
	%{DISTDIR}/firefox/firefox-rebuild-databases.pl &>/dev/null || :
fi

%preun
if [ $1 -eq 0 ]; then
	%{__rm} -rf %{DISTDIR}/firefox/{chrome/overlayinfo/,components/}
	%{__rm} -f %{DISTDIR}/firefox/chrome/*.rdf
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, 0755)
#%doc LEGAL LICENSE README.txt
%{_bindir}/firefox
#%{_libdir}/firefox/
#%{_datadir}/pixmaps/firefox.png
#%{?_without_freedesktop:%{_datadir}/gnome/apps/Internet/firefox.desktop}
#%{!?_without_freedesktop:%{_datadir}/applications/net-firefox.desktop}
/opt/firefox
/usr/share/applications/


%changelog
* Wed May 3 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.5.0.3
* Fri Apr 14 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.5.0.2
* Fri Feb 3 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.5.0.1
* Mon Dec 5 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.5
* Tue Sep 27 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0.7
* Sun Jul 24 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0.6
* Sun May 15 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0.4
* Sat Apr 23 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0.3
* Fri Mar 25 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0.2
* Sun Mar 13 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0.1
* Fri Nov 12 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0
* Tue Oct 5 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0PR
* Thu Sep 16 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 0.10PR
* Sat Aug 7 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 0.9.3
* Tue Jul 20 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
